Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1445926 - Review Request: python-moto - Allows your python tests to easily mock out the boto library [NEEDINFO]
Summary: Review Request: python-moto - Allows your python tests to easily mock out the...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AwaitingSubmitter
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2017-04-26 19:51 UTC by Björn 'besser82' Esser
Modified: 2019-01-08 06:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-08 05:32:34 UTC
quantum.analyst: needinfo? (besser82)


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2017-04-26 19:51:15 UTC
Description:

  Moto is a library that allows your python tests to easily mock out
  the boto library.


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=19220748


Issues:

  No known issues.  Rpmlint has some false positive complaints.


FAS-User:

  besser82


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/python-moto.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/python-moto-0.4.31-0.1.fc27.src.rpm


Thanks for review in advance!

Comment 1 Julien Enselme 2017-06-15 20:00:19 UTC
- Update to 1.0.1
- Missing requires: pyaml, python-dateutils, mock (maybe there were added in 1.0)
- Extra requires: httpretty, flask (maybe there were removed in 1.0)
- What is the point of `%{_bindir}/find %{buildroot} -type f -name '*.py?' -print -delete`?
- You can append a trailing slash to %{python3_sitelib}/%{pypi_name} and %{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info (and for Python 2)
- %global global_sum (…) is not need. Just define the summary of the package and use %{summary} for Python 2 and Python 3 subpackages.
- Fix rpmlint errors
- I believe RPM lints errors about locales are false positive due to this change: https://fedoraproject.org/wiki/Changes/python3_c.utf-8_locale
- Note: I have removed the shebang errors of rpmlint to make this post more readable.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache", "Unknown or generated", "*No
     copyright* Apache (v2.0)". 367 files have unknown license. Detailed
     output of licensecheck in /tmp/1445926-python-moto/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     moto-doc , python2-moto , python3-moto
[?]: Package functions as described.
[!]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-moto-doc-0.4.31-0.1.fc27.noarch.rpm
          python2-moto-0.4.31-0.1.fc27.noarch.rpm
          python3-moto-0.4.31-0.1.fc27.noarch.rpm
          python-moto-0.4.31-0.1.fc27.src.rpm
python2-moto.noarch: W: spelling-error Summary(en_US) boto -> boot, bot, boo
python2-moto.noarch: W: spelling-error %description -l en_US boto -> boot, bot, boo
(…)
python3-moto.noarch: W: spelling-error Summary(en_US) boto -> boot, bot, boo
python3-moto.noarch: W: spelling-error %description -l en_US boto -> boot, bot, boo
python3-moto.noarch: E: script-without-shebang /usr/lib/python3.6/site-packages/moto/__init__.py
(_…)
python2-moto.noarch: W: spelling-error Summary(en_US) boto -> boot, bot, boo
python2-moto.noarch: W: spelling-error %description -l en_US boto -> boot, bot, boo
python2-moto.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/moto/__init__.py
(…)

3 packages and 0 specfiles checked; 394 errors, 4 warnings.



Requires
--------
python-moto-doc (rpmlib, GLIBC filtered):

python3-moto (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-boto
    python3-cookies
    python3-flask
    python3-httpretty
    python3-jinja2
    python3-pytz
    python3-requests
    python3-six
    python3-werkzeug
    python3-xmltodict

python2-moto (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-boto
    python-cookies
    python-flask
    python-httpretty
    python-jinja2
    python-requests
    python-six
    python-werkzeug
    python-xmltodict
    pytz



Provides
--------
python-moto-doc:
    python-moto-doc

python3-moto:
    python3-moto
    python3.6dist(moto)
    python3dist(moto)

python2-moto:
    python-moto
    python2-moto
    python2.7dist(moto)
    python2dist(moto)



Source checksums
----------------
https://github.com/spulec/moto/archive/0.4.31.tar.gz#/python-moto-0.4.31.tar.gz :
  CHECKSUM(SHA256) this package     : 25bab3c9eeaba1ca7b3f12a15a65ada7077c56da2f7e229020c8b8d4517625ba
  CHECKSUM(SHA256) upstream package : 25bab3c9eeaba1ca7b3f12a15a65ada7077c56da2f7e229020c8b8d4517625ba


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1445926
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Elliott Sales de Andrade 2018-01-01 21:01:58 UTC
Ping Björn?

Comment 3 Elliott Sales de Andrade 2019-01-08 05:32:34 UTC
It's been a year; I'm closing this for lack of activity. Requesting a repo won't even work even with a positive review since it's been over 60 days. Please re-open if you wish to work on this again.


Note You need to log in before you can comment on or make changes to this bug.